<?php
namespace app\admin\controller\medical;

use app\admin\controller\BaseController;
use app\admin\model\MedicalCareOrder;
use app\admin\server\medical\MedicalCareOrderServer;


class ProductOrder extends BaseController
{

    /**
     * Notes:获取订单列表
     * @return \support\Response
     * User: QJF
     * Date: 2022/9/20
     */
    public function getOrderList()
    {
        [$page, $limit] = $this->getPage();
        $keywords = $this->request->get('keywords');
        $result         = MedicalCareOrderServer::getProductOrderList($page, $limit,$keywords);
        return json_success($result, '成功');
    }
    /**
     * Notes:订单详情
     * @return \support\Response
     * User: QJF
     * Date: 2022/9/27
     */
    public function infoPackageOrder()
    {
        $order_id = $this->request->get('order_id');
        $result         = MedicalCareOrderServer::productOrderInfo($order_id);
        if ($result){
            return json_success($result, '获取成功');
        }else{
            throw new \Exception('获取失败！');
        }

    }

    /**
     * Notes:修改订单支付状态
     * @return \support\Response
     * User: YCP
     * Date: 2022/11/28
     */
    public function updatePayStatus()
    {
        $order_id = $this->request->post('order_id');
        $order_pay_status = $this->request->post('order_pay_status');
        if(!$order_id){
            throw new \Exception('订单ID不能为空');
        }
        $result       = MedicalCareOrderServer::updatePayStatus($order_id, $order_pay_status);
        return json_success($result, '修改成功');
    }
}
